com.amazon.redshift.jdbc

## Class MetadataAPIHelper.ShowTablesInfo

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper.ShowTablesInfo

Enclosing class:
  MetadataAPIHelper

    public static class MetadataAPIHelper.ShowTablesInfo
    extends Object

Data container for table metadata returned by the SHOW TABLES command.

This class represents comprehensive table information including basic metadata (name, type) and Redshift-specific attributes (owner, distribution style, subtype). Used by JDBC metadata methods like getTables() to provide structured access to table information with both minimal and full detail modes.

The class supports two usage patterns:

- Minimal mode: Only table name is populated (for basic table listing)
- Full mode: All available metadata is populated (for detailed table info)

See Also:
  `DatabaseMetaData.getTables(String, String, String, String[])`, `MetadataServerProxy.getTables(String, String, String, boolean)`

### Constructor Summary

Constructors
Constructor and Description
`ShowTablesInfo(String tableName)`
`ShowTablesInfo(String databaseName, String schemaName, String tableName, String tableType, String remarks, String owner, String lastAlteredTime, String lastModifiedTime, String distStyle, String tableSubtype)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDatabaseName()`
`String` `getDistStyle()`
`String` `getLastAlteredTime()`
`String` `getLastModifiedTime()`
`String` `getOwner()`
`String` `getRemarks()`
`String` `getSchemaName()`
`String` `getTableName()`
`String` `getTableSubtype()`
`String` `getTableType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowTablesInfo

    public ShowTablesInfo(String databaseName,
                          String schemaName,
                          String tableName,
                          String tableType,
                          String remarks,
                          String owner,
                          String lastAlteredTime,
                          String lastModifiedTime,
                          String distStyle,
                          String tableSubtype)

#### ShowTablesInfo

    public ShowTablesInfo(String tableName)

### Method Detail

#### getDatabaseName

    public String getDatabaseName()

#### getSchemaName

    public String getSchemaName()

#### getTableName

    public String getTableName()

#### getTableType

    public String getTableType()

#### getRemarks

    public String getRemarks()

#### getOwner

    public String getOwner()

#### getLastAlteredTime

    public String getLastAlteredTime()

#### getLastModifiedTime

    public String getLastModifiedTime()

#### getDistStyle

    public String getDistStyle()

#### getTableSubtype

    public String getTableSubtype()